# SQL Language Support

Doltgres's goal is to be compliant with the PostgreSQL dialect, with every query and statement that works in PostgreSQL behaving identically in Doltgres.

For most syntax and technical questions, you should feel free to refer to the [PostgreSQL 15 user manual](https://www.postgresql.org/docs/15/index.html).

Any deviation from the PostgreSQL 15 manual should be documented on this page, or else indicates a bug. Please [file issues](https://github.com/dolthub/dolt/issues) with any incompatibilities you discover.

This series of documents shows:

* ✅ Which SQL language features we support the same as PostgreSQL
* 🟠 Where we support the feature but deviate from PostgreSQL in some way
* ❌ Where we lack support for the SQL language feature.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.doltgres.com/reference/sql-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
